﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size:20px">
            <div>
                Member list - {{ClubName}}
            </div>
            <div>
                <span> {{Date}}  </span>
            </div>
        </div>
        <div class="actions">
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="icon-file-excel fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPDF()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-export-pdf fg-black"></i>
            </a>
            <a class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Print" ng-click="print()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-print fg-black"></i>
            </a>
        </div>

    </div>

    <div class="clearfix"></div>
    <form novalidate="" ng-submit="search()" style="margin-top:30px">
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Organization type</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="filter.typeId" ng-options="obj.Value as obj.Title for obj in Model.ClubType.OrganizationTypes"></select>
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.typeId">Active status</label>
            <div class="input-control select" data-role="input-control">
                <select ng-model="filter.activeStatus" ng-options="obj.Value as obj.Title for obj in Model.activeStatus"></select>
            </div>
        </div>
        <div class="clearfix"></div>
        <label for="startDate" style="cursor:default">Expiration date</label>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.startDate">from</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.startDate" ng-model="filter.startDate" kendo-date-picker />
            </div>
        </div>
        <div class="place-left one-fourth padding-right20">
            <label for="filter.endDate">To</label>
            <div class="input-control date-time" data-role="input-control">
                <input id="filter.endDate" ng-model="filter.endDate" kendo-date-picker />
            </div>
        </div>
        
        <div class="clearfix"></div>
        <button class="button primary place-right" type="submit" style="margin-bottom:10px">Search</button>
        <button class="button link place-right on-left-more" type="button" ng-click="clearFilters()">Clear filters</button>
    </form>

    <div class="clearfix"></div>
    <div class="double-scroll" style="width: 100%;max-width: 100%;min-width: 100%;">
        <div class="wrapper1">
            <div class="div1"></div>
        </div>
        <div class="wrapper2">
            <div class="div2">
                <kendo-grid id="MemberListGrid" options="MemberListGridOptions" class="scroll resizable"></kendo-grid>
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
</div>




